<section class="slide" *ngIf="painting">
  <div
    class="slide-body"
    [ngClass]="{
      'fade-in-left': animate && fadeInLeft,
      'fade-in-right': animate && !fadeInLeft,
      'translate-left': translateDirection === 'next',
      'translate-right': translateDirection === 'previous'
    }"
  >
    <div class="left">
      <div class="painting-wrapper">
        <img
          class="painting"
          [src]="getImageSource('hero')"
          [alt]="'image of ' + painting.title"
        />
        <div class="title-artist">
          <p class="title">{{ painting.title }}</p>
          <p class="artist">{{ painting.artist }}</p>
        </div>
        <img
          class="artist-photo"
          [src]="getImageSource('artist')"
          [alt]="'image of ' + painting.artist"
        />
        <div class="view-image-wrapper" (click)="openPhotoViewer()">
          <svg
            aria-hidden="true"
            focusable="false"
            data-prefix="fas"
            data-icon="expand-arrows-alt"
            class="expand-arrows-icon"
            role="img"
            xmlns="http://www.w3.org/2000/svg"
            viewBox="0 0 448 512"
          >
            <path
              fill="currentColor"
              d="M448 344v112a23.94 23.94 0 0 1-24 24H312c-21.39 0-32.09-25.9-17-41l36.2-36.2L224 295.6 116.77 402.9 153 439c15.09 15.1 4.39 41-17 41H24a23.94 23.94 0 0 1-24-24V344c0-21.4 25.89-32.1 41-17l36.19 36.2L184.46 256 77.18 148.7 41 185c-15.1 15.1-41 4.4-41-17V56a23.94 23.94 0 0 1 24-24h112c21.39 0 32.09 25.9 17 41l-36.2 36.2L224 216.4l107.23-107.3L295 73c-15.09-15.1-4.39-41 17-41h112a23.94 23.94 0 0 1 24 24v112c0 21.4-25.89 32.1-41 17l-36.19-36.2L263.54 256l107.28 107.3L407 327.1c15.1-15.2 41-4.5 41 16.9z"
            ></path>
          </svg>
          <p class="view-image">View Image</p>
        </div>
      </div>
    </div>
    <div class="right">
      <div class="description-wrapper">
        <p class="description">{{ painting.description }}</p>
        <span class="year">{{ painting.year }}</span>
      </div>
      <a [href]="painting.sourceUrl" class="source" target="_blank"
        >Go to source</a
      >
    </div>
  </div>
  <app-slide-controller
    [title]="painting.title"
    [artist]="painting.artist"
    [id]="painting.id"
    (controlClicked)="buttonControlClicked($event)"
  ></app-slide-controller>
</section>
<app-photo-viewer></app-photo-viewer>
